Bug 987197 - Wise SOAPClient doesn't work with BASIC auth in SOA-P 5
Wise SOAPClient doesn't work with BASIC auth in SOA-P 5
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: GA
: FUTURE
Assigned To: kconner
:
Depends On:
Blocks: 986007
  Show dependency treegraph
 
Reported: 2013-07-22 19:34 EDT by William Antônio
Modified: 2014-03-05 11:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-2265 Major Closed Wise action don't work with BASIC auth 2014-03-05 11:20:14 EST

  None (edit)
Description William Antônio 2013-07-22 19:34:15 EDT
Description of problem:

When trying to use Wise SOAPClient with BASIC authentication like below:

   <action class="org.jboss.soa.esb.actions.soap.wise.SOAPClient" name="FileNetWise">
        <property name="wsdl"
            value="http://localhost:8080/enterpriseFileNetService/FileNetService?wsdl" />
        <property name="operationName" value="getFile" />
        <property name="EndPointName" value="FileNetServiceImplPort" />
        <property name="username" value="wsuser" />
        <property name="password" value="w5p@ss" />
        <property name="LoggingMessages" value="true" />
    </action>

and making sure that the credential match, it never works and server always respond with a 401 error code:

<env:Envelope xmlns:env="http://schemas.xmlsoap.org/soap/envelope/">
   <env:Header/>
   <env:Body>
      <env:Fault>
         <faultcode>env:Server</faultcode>
         <faultstring><![CDATA[Remote server's response is an error: <html><head><title>JBoss Web/2.1.11.GA - Error report</title><style><!--H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--></style> </head><body><h1>HTTP Status 401 - </h1><HR size="1" noshade="noshade"><p><b>type</b> Status report</p><p><b>message</b> <u></u></p><p><b>description</b> <u>This request requires HTTP authentication ().</u></p><HR size="1" noshade="noshade"><h3>JBoss Web/2.1.11.GA</h3></body></html>b> Status report</p><p><b>message</b> <u></u></p><p><b>description</b> <u>This request requires HTTP authentication ().</u></p><HR size="1" noshade="noshade"><h3>JBoss Web/2.1.11.GA</h3></body></html>b> Status report</p><p><b>message</b> <u></u></p]]></faultstring>
      </env:Fault>
   </env:Body>
</env:Envelope>
Comment 1 JBoss JIRA Server 2013-07-25 16:29:33 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-2265 to Resolved
Comment 2 JBoss JIRA Server 2013-07-25 16:29:33 EDT
Tom Cunningham <tcunning@redhat.com> made a comment on jira JBESB-2265

The issue here looks like it is with the Wise SOAPClient, rather than the Wise framework.     After adding username/password to the WSEndpoint, I was able to successfully consume a web service protected by BASIC auth.
Comment 3 JBoss JIRA Server 2013-07-25 16:29:47 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-2265 to Closed

Note You need to log in before you can comment on or make changes to this bug.